#
# spec file for package bzip2 (Version 1.0.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           bzip2
Version:        1.0.3
Release:        17.15.4
Provides:       bzip 
Obsoletes:      bzip
AutoReqProv:    on
Group:          Productivity/Archiving/Compression
License:        BSD 3-Clause
Url:            http://www.bzip.org/
Summary:        A Program for Compressing Files
Source:         bzip2-%{version}.tar.gz
Source1:        bznew.gz
Source2:        bznew.1.gz
Patch:          bzip2-%{version}.diff
Patch2:         bzip2-maxlen20.diff
Patch3:         bzip2-faster.diff
Patch4:         bzip2-1.0.3-CAN-2005-0953.diff
Patch5:         bzip2-CVE-2008-1372-CERT-FI-20469.patch
Patch6:         bzip2-CVE-2010-0405.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
bzip is a very powerful program for compressing files.



Authors:
--------
    Julian Seward <jseward@acm.org>

%prep
%setup -q
%patch
%patch2
%patch3
%patch4
%patch5 -p1
%patch6 -p1

%build
# -O3 really makes a difference
RPM_OPT_FLAGS=${RPM_OPT_FLAGS/-O2/-O3}
make CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -Wall -Winline" libdir=%{_libdir}

%install
make PREFIX=$RPM_BUILD_ROOT install libdir=%{_libdir}
gzip -9 manual.ps
gzip -dc %{SOURCE1} > bznew
install -m 755 bznew      $RPM_BUILD_ROOT%{_bindir}/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man1/
install -m 755 -d $RPM_BUILD_ROOT/%{_lib}/
mv $RPM_BUILD_ROOT%{_libdir}/libbz2.so.* $RPM_BUILD_ROOT/%{_lib}/
ln -sf ../../%{_lib}/libbz2.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}/libbz2.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README LICENSE CHANGES manual.ps.gz manual*.html
%doc %{_mandir}/man?/*
/%{_lib}/lib*
%{_libdir}/lib*
%{_includedir}/*
%{_bindir}/*

%changelog
* Mon Sep 13 2010 puzel@novell.com
- add bzip2-CVE-2010-0405.patch (bnc#636978)
* Wed Mar 19 2008 nadvornik@suse.cz
- fixed buffer overflows CVE-2008-1372 [bnc#372047]
* Wed Jan 10 2007 lmichnovic@suse.cz
- security patch CAN-2005-0953 permission changing via hard links
  [#233121]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 schwab@suse.de
- Don't strip binaries.
* Fri Aug 12 2005 mls@suse.de
- make decompress much faster
- compile with -O3
- go back to maxlen=20 when compressing
* Thu Aug  4 2005 ro@suse.de
- next libdir: only package lib*
* Thu Aug  4 2005 ro@suse.de
- do not package all of libdir (debuginfo)
* Mon Aug  1 2005 mjancar@suse.cz
- update to 1.0.3
* Tue Jun 28 2005 kukuk@suse.de
- Move shared libraries to /%%{_lib}
* Thu Mar 24 2005 werner@suse.de
- Add bznew, a changeed version of the gzip znew.
* Tue Apr 20 2004 mmj@suse.de
- Fix strict aliasing
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Jul 23 2003 tcrhak@suse.cz
- fixed URL
* Tue Jul 23 2002 tcrhak@suse.cz
- renamed to bzip2
* Tue Feb  5 2002 tcrhak@suse.cz
- update to version 1.0.2
- bziped tarball
* Thu Mar  8 2001 nadvornik@suse.cz
- re-added /usr/include/bzlib.h
* Thu Mar  8 2001 bk@suse.de
- Replaced the -malign options with -mcpu=pentiumpro
* Tue Mar  6 2001 bk@suse.de
- add version info to libbz2 link to fix the library version number
- if i386, add -malign-loops=2 -malign-jumps=2 -malign-functions=2
* Thu Nov 30 2000 aj@suse.de
- New version, compile with LFS support.
* Tue Oct  3 2000 kukuk@suse.de
- Set libdir for 64bit architectures
* Mon May 22 2000 nadvornik@suse.cz
- update to 1.0.0
* Wed Apr 26 2000 nadvornik@suse.cz
- changed Group
* Mon Apr 10 2000 nadvornik@suse.cz
- added URL
* Tue Apr  4 2000 nadvornik@suse.cz
- fixed to compile
* Mon Apr  3 2000 bk@suse.de
- added libbz2 shared library support for s390
* Thu Mar  2 2000 fehr@suse.de
- moved man pages to /usr/share/man
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 13 1999 fehr@suse.de
- update to 0.9.5d
* Thu Jul  1 1999 ro@suse.de
- update to 0.9.0c
* Fri Sep 18 1998 ro@suse.de
- update to 0.9.0b (including libbz2 and bzlib.h)
* Thu Oct 30 1997 fehr@suse.de
- add bzip package to S.u.S.E. distribution
